Skip to main content
GET
/
organizations
/
{organization_id}
/
orders
/
{order_id}
Get order
curl --request GET \
  --url {schemes}://api.upsun.com/organizations/{organization_id}/orders/{order_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": "completed",
  "owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": {
    "country": "<string>",
    "name_line": "<string>",
    "premise": "<string>",
    "sub_premise": "<string>",
    "thoroughfare": "<string>",
    "administrative_area": "<string>",
    "sub_administrative_area": "<string>",
    "locality": "<string>",
    "dependent_locality": "<string>",
    "postal_code": "<string>"
  },
  "company": "<string>",
  "vat_number": "<string>",
  "billing_period_start": "2023-11-07T05:31:56Z",
  "billing_period_end": "2023-11-07T05:31:56Z",
  "billing_period_label": {
    "formatted": "<string>",
    "month": "<string>",
    "year": "<string>",
    "next_month": "<string>"
  },
  "billing_period_duration": 123,
  "paid_on": "2023-11-07T05:31:56Z",
  "total": 123,
  "total_formatted": 123,
  "components": {
    "voucher/vat/baseprice": {}
  },
  "currency": "<string>",
  "invoice_url": "<string>",
  "last_refreshed": "2023-11-07T05:31:56Z",
  "invoiced": true,
  "line_items": [
    {
      "type": "project_plan",
      "license_id": 123,
      "project_id": "<string>",
      "product": "<string>",
      "sku": "<string>",
      "total": 123,
      "total_formatted": "<string>",
      "components": {},
      "exclude_from_invoice": true
    }
  ],
  "_links": {
    "invoices": {
      "href": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

organization_id
string
required

The ID of the organization.
Prefix with name= to retrieve the organization by name instead.

order_id
string
required

The ID of the order.

Query Parameters

mode
enum<string>

The output mode.

Available options:
details

Response

OK

The order object.

id
string

The ID of the order.

status
enum<string>

The status of the subscription.

Available options:
completed,
past_due,
pending,
canceled,
payment_failed_soft_decline,
payment_failed_hard_decline
owner
string<uuid>

The UUID of the owner.

address
object

The address of the user.

company
string

The company name.

vat_number
string

An identifier used in many countries for value added tax purposes.

billing_period_start
string<date-time>

The time when the billing period of the order started.

billing_period_end
string<date-time>

The time when the billing period of the order ended.

billing_period_label
object

Descriptive information about the billing cycle.

billing_period_duration
integer

The duration of the billing period of the order in seconds.

paid_on
string<date-time> | null

The time when the order was successfully charged.

total
integer

The total of the order.

total_formatted
integer

The total of the order, formatted with currency.

components
object

The components of the project

currency
string

The order currency code.

invoice_url
string

A link to the PDF invoice.

last_refreshed
string<date-time>

The time when the order was last refreshed.

invoiced
boolean

The customer is invoiced.

line_items
object[]

The line items that comprise the order.

Links to related API endpoints.